import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { Protocol } from "./protocol.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, FindOptionsWhere, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class ProtocolService extends TypeOrmCrudService<Protocol> {
    readonly repo: Repository<Protocol>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<Protocol>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<Protocol>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<Protocol[]>;
    createOneBy(params: DeepPartial<Protocol>, manager?: EntityManager): Promise<Protocol>;
    createAllBy(params: DeepPartial<Protocol>[], manager?: EntityManager): Promise<Protocol[]>;
    createAllIfNotExistBy(params: DeepPartial<Protocol>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: FindOptionsWhere<Protocol>, set: {
        [K in keyof Protocol]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
